List wallet activity
curl --request GET \
--url https://api.launch.o1.exchange/v1/wallets/{address}/activity \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/wallets/{address}/activity"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/wallets/{address}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"details": {
"amount_raw": "<string>",
"amount": "<string>",
"quote_address": "<string>",
"quote_amount_raw": "<string>",
"pool_id": "<string>",
"credit_count": 1,
"fee_escrow_address": "<string>",
"metadata_key": "<string>",
"description": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"role": "<string>",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"token_address": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 2
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}Wallets
List wallet activity
Page through structured public launchpad activity involving one wallet.
GET
/
wallets
/
{address}
/
activity
List wallet activity
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Wallet address.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Production chain to query.
Available options:
8453, 4663 Example:
8453
Launch market to include.
Available options:
standard, rwa, all Opaque continuation cursor returned by the previous page. Do not parse or modify it.
Maximum string length:
4096Maximum number of resources to return.
Required range:
1 <= x <= 100Activity kind to return.
Available options:
all, launch, launch_fee, trade, allocation, vesting_registered, vesting_claimed, fee_credited, fee_claimed, announcement, metadata Inclusive lower timestamp in Unix seconds.
Required range:
0 <= x <= 4102444800Exclusive upper timestamp in Unix seconds.
Required range:
1 <= x <= 4102444800⌘I
